Pricefx REST API Reference
- Mass Edit Price Grid Items
The Pricefx Backend API
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/pricegridmanager.copy/{id}
- URL:https://companynode.pricefx.com/pricefx/companypartition/pricegridmanager.copy/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/pricegridmanager.copy/{id}'{ "response": { "node": "string", "csrfToken": "string", "data": [ … ], "status": 0 } }
Request
Updates fields of specified Live Price Grid Items.
Specify the items in the request body by the id field.
Information: The
idis thetypedIdwithout the PGI suffix. For example, theidattribute of the item withtypedId= 649.PGI is 649.
| Required Permission | Roles with the Required Permission |
|---|---|
| PRICEGRID_UPDATE | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Administer LPG (PB_PRICEGRIDS) |
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/pricegridmanager.massedit/{id}
- URL:https://companynode.pricefx.com/pricefx/companypartition/pricegridmanager.massedit/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/pricegridmanager.massedit/{id}' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"filterCriteria": {
"_constructor": "AdvancedCriteria",
"operator": "and",
"criteria": [
{
"fieldName": "id",
"operator": "inSet",
"value": [
"649",
"650"
],
"_constructor": "AdvancedCriteria"
}
]
},
"massEditRecords": [
{
"fieldName": "manualResultPrice",
"massEditOperator": "=",
"fieldValue": 20,
"precision": "2"
}
]
}
}'{ "response": { "node": "string", "data": null, "status": 0 } }
Request
Updates a Price Grid Item.
To update items without a recalculation, use the /pricegridmanager.update/{id}/norecalc endpoint.
| Required Permission | Roles with the Required Permission |
|---|---|
| PRICEGRID_UPDATE | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Administer LPG (PB_PRICEGRIDS) |
We have performed an update action on the comments field in our request sample >>>
Values of the object before the update. Especially important is typedId (to identify the object to update) and version (to detect date inconsistencies).
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/pricegridmanager.update/{id}
- URL:https://companynode.pricefx.com/pricefx/companypartition/pricegridmanager.update/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/pricegridmanager.update/{id}' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"typedId": "654.PGI",
"comments": "a comment"
},
"oldValues": {
"_key": "654.PGI",
"_level": 0,
"version": 0,
"typedId": "654.PGI",
"sku": "22222",
"label": "Label Two",
"unitOfMeasure": "EA",
"priceGridId": 212,
"manualEditVersion": 8,
"manualPriceExpired": false,
"createDate": "2021-11-08T16:53:21",
"createdBy": 2147490696,
"itemExtensions": {},
"completeResultsAvailable": false
},
"operationType": "update",
"textMatchStyle": "exact"
}'{ "response": { "node": "<node>", "data": [ … ], "status": 0 } }
See the Key-Value Database Storage Knowledge Base article for more details.
Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.
Comments